import { redirectToLogin, findLoginPage } from '../util';

Component({
  /**
   * 组件的属性列表
   */
  properties: {
    type: String,
    message: String,
    toLogin: Boolean
  },

  /**
   * 组件的初始数据
   */
  data: {
    message: '',
    visible: false
  },

  /**
   * 组件的方法列表
   */
  methods: {
    login() {
      if(this.data.toLogin) {
        redirectToLogin()
      } else {
        getApp()?.app?.relaunchHome()
      }
    }
  },
  lifetimes: {
    attached() {
      this.setData({
        toLogin: findLoginPage()
      })
      setTimeout(() => {
        const data = {
          visible: true
        }
        if(this.data.type === 'loading') {
          data.message = '登录鉴权中...'
        }
        this.setData(data)
      }, 100)
    },
  },
})
